Execution Plan
Retrieves detailed information about a specific execution plan
Authorizations
x-api-keystringRequired
Path parameters
executionPlanIdstringRequired
Unique identifier of the execution plan to retrieve
Responses
200
Execution plan details retrieved successfully
application/json
planTypestring · enumRequiredExample:
Plan serialization type
jsonPossible values: planone ofRequired
Execution plan details
or
stringOptional
401
Unauthorized - invalid API key
404
Execution plan not found
get/v1/execution-plans/{executionPlanId}
GET /v1/execution-plans/{executionPlanId} HTTP/1.1
Host: api.toolregistry.ai
x-api-key: YOUR_API_KEY
Accept: */*
{
"planType": "json",
"plan": {
"title": "Monthly Revenue Report Plan",
"description": "Gather information needed for a financial report",
"steps": [
{
"id": "step-1",
"description": "Fetch all invoices from the last 30 days",
"dependsOnSteps": [
"step-0"
]
}
]
}
}Last updated